desc_hierarchy.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the hierarchy descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_desc_hierarchy
| Structure containing the hierarchy descriptor. More...

## Functions

int | dvb_desc_hierarchy_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the hierarchy descriptor.
void | dvb_desc_hierarchy_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the hierarchy descriptor.

## Detailed Description

Provides the descriptors for the hierarchy descriptor.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The descriptor described herein is defined at:
  - ISO/IEC 13818-1

See also

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_hierarchy.h.